Forum: Ruby on Rails Mongrel problem

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
27430beb711ed6100a91aa20463fc515?d=identicon&s=25 Miquel Oliete (Guest)
on 2009-02-10 23:22
(Received via mailing list)
Hi there

I have installed mongrel using rubygems and I have filled the mongrel
configuration file in my rails config directory, which is:

cwd: /var/www/my_http_dir/
log_file: log/mongrel.log
port: "8100"
environment: production
address: 127.0.0.1
pid_file: tmp/pids/mongrel.pid
servers: 2

The problem is that when I try to start mongrel using the command line
order 'mongrel_rails mongrel::start -C config/mongrel_cluster.yml'
appears this error message

** Ruby version is not up-to-date; loading cgi_multipart_eof_fix
** Loading settings
from
/var/www/ktala/mob1970.org/cheatsheetsandrecipes/config/mongrel_cluster.yml
(they override command line).
!!! Unknown configuration setting: servers
mongrel::start reported an error. Use mongrel_rails mongrel::start -h
to get help.


Can anybody tell me what is happening? Why servers params is not ok?


Thanks in advance

Regards


  Miquel
4c438a80fc30661ad619ea177cf9cbd0?d=identicon&s=25 Freddy Andersen (Guest)
on 2009-02-11 01:30
(Received via mailing list)
First... First I would recommend that you use thin and not mongrel..

Second.. Whats your ruby version? ruby -v

Third... are you able to start one mongrel like so mongrel_rails start
-d ?
This topic is locked and can not be replied to.